Bug 2187837 - [abrt] gnome-software: g_settings_schema_get_value(): gnome-software killed by SIGTRAP
Summary: [abrt] gnome-software: g_settings_schema_get_value(): gnome-software killed b...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0de50873fa9b3debd0841a4d26f...
: 2189901 (view as bug list)
Depends On:
Blocks: 2188005
TreeView+ depends on / blocked
 
Reported: 2023-04-18 20:43 UTC by jakob
Modified: 2023-04-26 12:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-19 10:10:02 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.39 KB, text/plain)
2023-04-18 20:43 UTC, jakob
no flags Details
File: maps (3.95 KB, text/plain)
2023-04-18 20:43 UTC, jakob
no flags Details
File: limits (1.29 KB, text/plain)
2023-04-18 20:43 UTC, jakob
no flags Details
File: environ (1.45 KB, text/plain)
2023-04-18 20:43 UTC, jakob
no flags Details
File: open_fds (7.02 KB, text/plain)
2023-04-18 20:43 UTC, jakob
no flags Details
File: mountinfo (3.79 KB, text/plain)
2023-04-18 20:43 UTC, jakob
no flags Details
File: os_info (734 bytes, text/plain)
2023-04-18 20:43 UTC, jakob
no flags Details
File: cpuinfo (2.87 KB, text/plain)
2023-04-18 20:43 UTC, jakob
no flags Details
File: core_backtrace (48.47 KB, text/plain)
2023-04-18 20:43 UTC, jakob
no flags Details
File: dso_list (355 bytes, text/plain)
2023-04-18 20:43 UTC, jakob
no flags Details
File: var_log_messages (657 bytes, text/plain)
2023-04-18 20:43 UTC, jakob
no flags Details
File: backtrace (133.80 KB, text/plain)
2023-04-18 20:43 UTC, jakob
no flags Details

Description jakob 2023-04-18 20:43:24 UTC
Description of problem:
Upgraded from fedora workstation 37 to 38.
Tried launching the gnome-software store.
It crashes after fetching for a second or two.

Version-Release number of selected component:
gnome-software-44.0-3.fc38

Additional info:
reporter:       libreport-2.17.4
type:           CCpp
reason:         gnome-software killed by SIGTRAP
journald_cursor: s=695d9cd94bf34243bbc4ecac634b303e;i=cefc;b=82ca106e01834733a732b51bf67e407a;m=d85ddf3;t=5f9a1fe03c8e3;x=a5832f6588662f99
executable:     /usr/bin/gnome-software
cmdline:        /usr/bin/gnome-software --gapplication-service
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Software-2393.scope
rootdir:        /
uid:            1000
kernel:         6.2.10-200.fc37.x86_64
package:        gnome-software-44.0-3.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: g_settings_schema_get_value

Truncated backtrace:
Thread no. 1 (23 frames)
 #4 g_settings_schema_get_value at ../gio/gsettingsschema.c:1010
 #6 g_settings_schema_key_init at ../gio/gsettingsschema.c:1290
 #7 g_settings_get_value at ../gio/gsettings.c:1224
 #8 g_settings_get_boolean at ../gio/gsettings.c:2148
 #9 gs_shell_get_query_license_type at ../src/gs-shell.c:2701
 #10 gs_overview_page_load at ../src/gs-overview-page.c:711
 #12 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3802
 #15 gs_loading_page_refresh_cb at ../src/gs-loading-page.c:95
 #16 g_task_return_now at ../gio/gtask.c:1309
 #17 g_task_return at ../gio/gtask.c:1378
 #19 run_job_cb at ../lib/gs-plugin-loader.c:3462
 #20 g_task_return_now at ../gio/gtask.c:1309
 #21 g_task_return at ../gio/gtask.c:1378
 #23 finish_op at ../lib/gs-plugin-job-refresh-metadata.c:466
 #24 plugin_refresh_metadata_cb at ../lib/gs-plugin-job-refresh-metadata.c:421
 #25 g_task_return_now at ../gio/gtask.c:1309
 #26 g_task_return at ../gio/gtask.c:1378
 #28 refresh_metadata_cb at ../plugins/packagekit/gs-plugin-packagekit.c:4127
 #29 g_simple_async_result_complete at ../gio/gsimpleasyncresult.c:804
 #30 complete_in_idle_cb at ../gio/gsimpleasyncresult.c:816
 #34 g_main_context_iterate.isra.0 at ../glib/gmain.c:4276
 #35 g_main_context_iteration at ../glib/gmain.c:4343
 #36 g_application_run at ../gio/gapplication.c:2573


Potential duplicate: bug 2048318

Comment 1 jakob 2023-04-18 20:43:28 UTC
Created attachment 1958093 [details]
File: proc_pid_status

Comment 2 jakob 2023-04-18 20:43:29 UTC
Created attachment 1958094 [details]
File: maps

Comment 3 jakob 2023-04-18 20:43:31 UTC
Created attachment 1958095 [details]
File: limits

Comment 4 jakob 2023-04-18 20:43:32 UTC
Created attachment 1958096 [details]
File: environ

Comment 5 jakob 2023-04-18 20:43:33 UTC
Created attachment 1958097 [details]
File: open_fds

Comment 6 jakob 2023-04-18 20:43:35 UTC
Created attachment 1958098 [details]
File: mountinfo

Comment 7 jakob 2023-04-18 20:43:36 UTC
Created attachment 1958099 [details]
File: os_info

Comment 8 jakob 2023-04-18 20:43:37 UTC
Created attachment 1958100 [details]
File: cpuinfo

Comment 9 jakob 2023-04-18 20:43:39 UTC
Created attachment 1958101 [details]
File: core_backtrace

Comment 10 jakob 2023-04-18 20:43:40 UTC
Created attachment 1958102 [details]
File: dso_list

Comment 11 jakob 2023-04-18 20:43:42 UTC
Created attachment 1958103 [details]
File: var_log_messages

Comment 12 jakob 2023-04-18 20:43:44 UTC
Created attachment 1958104 [details]
File: backtrace

Comment 13 Milan Crha 2023-04-19 06:05:30 UTC
Thanks for a bug report. It crashed due to a missing GSettings key:

> april 18 22:17:08 fedora-laptop gnome-software[2393]: Settings schema 'org.gnome.software' does not contain a key named 'show-only-free-apps'

but I see it part of the schema definition in the 44.0 version, thus I guess there failed something during the upgrade.

How did you upgrade the machine, please?

Could you backup /usr/share/glib-2.0/schemas/gschemas.compiled and then run as root:

   glib-compile-schemas /usr/share/glib-2.0/schemas/

please? Maybe it'll help. You can verify the installed gnome-software schema file includes the key by running:

   cat /usr/share/glib-2.0/schemas/org.gnome.software.gschema.xml | grep show-only-free-apps

which should return one hit:

   <key name="show-only-free-apps" type="b">

Comment 14 Milan Crha 2023-04-19 06:49:52 UTC
For what it's worth, I tried an upgrade using gnome-software, thus PackageKit, and the gnome-software in upgraded Fedora 38 runs fine.

Comment 15 jakob 2023-04-19 06:56:24 UTC
I suspect the fault was somewhere under the upgrade, because 2 boot cycles after the finished upgrade, the system refused to boot.
It managed to get to the application list during the second boot, but crashed hitting update and reboot.
I did upgrade the system according to https://docs.fedoraproject.org/en-US/quick-docs/upgrading/ using gnome-software.
Since it would no longer boot, I installed v38 from a live-usb. There it works properly.
Since I reinstalled, I can sadly no longer try the fixes.

Comment 16 Milan Crha 2023-04-19 10:10:02 UTC
I see. If the install didn't go smoothly then various things could break. Let's close this for now, because you cannot reproduce it too now.

Comment 17 Matias Repetti 2023-04-19 14:18:17 UTC
(In reply to jakob from comment #15)
> I suspect the fault was somewhere under the upgrade, because 2 boot cycles
> after the finished upgrade, the system refused to boot.
> It managed to get to the application list during the second boot, but
> crashed hitting update and reboot.
> I did upgrade the system according to
> https://docs.fedoraproject.org/en-US/quick-docs/upgrading/ using
> gnome-software.
> Since it would no longer boot, I installed v38 from a live-usb. There it
> works properly.
> Since I reinstalled, I can sadly no longer try the fixes.

I'm having this issue after upgrading to 38. I downgraded gnome-software (to 43.5) and fix the issue with the schema, but If I try to upgrade gnome-software (to 44.0), which requires a restart, the system won´t boot.

I found that removing the broken link at root (/system-update) allow me to boot and abort the upgrade. I resist to reinstall from scratch.

Comment 18 Milan Crha 2023-04-19 15:47:03 UTC
(In reply to Matias Repetti from comment #17)
> I'm having this issue after upgrading to 38. I downgraded gnome-software (to
> 43.5) and fix the issue with the schema, but If I try to upgrade
> gnome-software (to 44.0), which requires a restart, the system won´t boot.

That's odd. You can `dnf update gnome-software` without any restart. Then just `gnome-software --quit`, to make sure the new gnome-software will run, not the background process from the previous (pre-update) version. This will recompile the schemas, which I wanted to test with the commands at comment #13.

Comment 19 noname 2023-04-19 16:48:00 UTC
updated from Fedora 37 to Fedora 38. Upon first login, this error occured


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-software killed by SIGTRAP
journald_cursor: s=5c0a45e741b34368951b741081883be0;i=6005;b=ae620fcc757744d1823fadec13246059;m=41a6670;t=5f9b3193d26c2;x=f42e07be705b1d99
executable:     /usr/bin/gnome-software
cmdline:        /usr/bin/gnome-software --gapplication-service
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Software-2895.scope
rootdir:        /
uid:            1000
kernel:         6.2.10-200.fc37.x86_64
package:        gnome-software-44.0-3.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: g_settings_schema_get_value
comment:        updated from Fedora 37 to Fedora 38. Upon first login, this error occured

Comment 20 Adam Williamson 2023-04-20 06:09:36 UTC
It would really help to see logs from the actual upgrade process, either using `journalctl -b-N` (which shows the logs from N boots ago, so if you've just booted for the first time after upgrading, `journalctl -b-1` should show the logs from the upgrade process; for each reboot since upgrading, bump the number...), or if they're in `/var/log/dnf.log`, from there (I'm not sure if they'll be there if you upgraded with Software).

Comment 21 bugzilla 2023-04-24 07:10:51 UTC
I just tried to open Gnome Software


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-software killed by SIGTRAP
journald_cursor: s=00bd14130bd6429cac3f8e1cd680175c;i=1b70b;b=6b47ee39a7444eb0b194d68901a0259d;m=1e8f5f9db;t=5f9c424be4eab;x=acca06d7a893c0a1
executable:     /usr/bin/gnome-software
cmdline:        /usr/bin/gnome-software --gapplication-service
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Software-105235.scope
rootdir:        /
uid:            1000
kernel:         6.2.10-200.fc37.x86_64
package:        gnome-software-44.0-3.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: g_settings_schema_get_value
comment:        I just tried to open Gnome Software

Comment 22 Adam Williamson 2023-04-24 15:35:37 UTC
Nick, see the earlier comments for details. Unfortunately this means the upgrade process crashed partway and left things unfinished :( The two things we know you'll need to do to solve immediate problems are:

sudo glib-compile-schemas /usr/share/glib-2.0/schemas/
sudo rm -f /root/system-update

That should solve Software not starting, and the system then not booting on subsequent attempts. But we don't know if there may be other problems lurking too, potentially.

We're trying to isolate what's caused this crash for a few folks, but haven't had much luck yet. If you could possibly get the logs of your upgrade - see https://discussion.fedoraproject.org/t/gnome-software-crashes-doesnt-open-after-update-to-fedora-38/81078/19 for some discussion on how to do it - it would help. Thanks, and sorry for the trouble.

Comment 23 Milan Crha 2023-04-25 06:37:31 UTC
I guess bug #2188903 is similar, but in that case the upgrade failed and did not move to partial Fedora 38.

Comment 24 Adam Williamson 2023-04-25 15:37:24 UTC
Well, the key question is I guess *what caused the upgrade to fail* in each case. If all the folks who've hit something like this are running into the same crash during upgrade, it's all the same bug. If they're hitting different ones, it's different bugs.

Someone on the forums was able to get some more detail that I was supposed to forward here, I just hadn't had the roundtuits yet. They got this log extract showing the PackageKit backend crashed. Unfortunately it seems like the core dump was not saved, at least coredumpctl can't find it :( I'm trying to get someone affected by this to post enough logs to where we can see all the packages they had installed, so we can try an upgrade with the same package set and see if it reproduces. I guess I could at least try one with all the package names visible in this log extract - logically speaking it seems reasonable to guess that one of them may be the trigger for the crash.

===

Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        unicode-ucd-15.0.0-1.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        libpinyin-data-2.6.2-2.fc37.x86_64 (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        vim-data-2:9.0.1440-1.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        lv2-1.18.8-2.fc37.x86_64 (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        catatonit-0.1.7-10.fc37.x86_64 (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        qt6-qttools-common-6.4.3-1.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        words-3.0-40.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        fwupd-plugin-uefi-capsule-data-1.8.14-1.fc37.x86_64 (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        mypaint-brushes-1.3.1-6.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: percentage 84%
Apr 22 06:42:30 Papaputer pk-offline-update[879]: sent msg to plymouth 'Systemaktualisierung wird installiert - 84%'
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        samba-dc-provision-2:4.17.7-0.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        zd1211-firmware-1.5-11.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        rootfiles-8.1-32.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        opencl-headers-3.0-12.20220510gitdef8be9.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        microcode_ctl-2:2.1-53.fc37.x86_64 (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        gnome-user-docs-43.0-1.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        fedora-bookmarks-28-25.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        atmel-firmware-1.3-27.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        alsa-sof-firmware-2.2.4-2.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer pk-offline-update[879]: package cleanup        NetworkManager-config-connectivity-fedora-1:1.40.10-1.fc37.noarch (installed)
Apr 22 06:42:30 Papaputer kernel: show_signal_msg: 13 callbacks suppressed
Apr 22 06:42:30 Papaputer kernel: PK-Backend[955]: segfault at 38 ip 00007fd2cf7298fd sp 00007fd2ce2264b0 error 6 in libdnf.so.2 (deleted)[7fd2cf6ba000+f0000] likely on CPU 1 (core 1, socket 0)
Apr 22 06:42:30 Papaputer kernel: Code: 8b 4c 24 10 48 89 de 4c 89 e2 e8 2e 79 f9 ff 48 8b 44 24 08 48 8b 7b 40 48 8b 5b 48 48 83 40 50 01 48 85 db 0f 85 39 ff ff ff <c7> 47 38 01 00 00 00 e8 37 b6 f9 ff 48 83 c4 28 5b 5d 41 5c 41 5d
Apr 22 06:42:30 Papaputer kernel: audit: type=1701 audit(1682138550.583:513): auid=4294967295 uid=0 gid=0 ses=4294967295 subj=system_u:system_r:rpm_t:s0 pid=910 comm="PK-Backend" exe=2F7573722F6C6962657865632F7061636B6167656B697464202864656C6574656429 sig=11 res=1
Apr 22 06:42:30 Papaputer audit[910]: ANOM_ABEND auid=4294967295 uid=0 gid=0 ses=4294967295 subj=system_u:system_r:rpm_t:s0 pid=910 comm="PK-Backend" exe=2F7573722F6C6962657865632F7061636B6167656B697464202864656C6574656429 sig=11 res=1
Apr 22 06:42:30 Papaputer audit[24767]: AVC avc:  denied  { read } for  pid=24767 comm="false" path="pipe:[97790]" dev="pipefs" ino=97790 scontext=system_u:system_r:kernel_generic_helper_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=fifo_file permissive=0
Apr 22 06:42:30 Papaputer kernel: audit: type=1400 audit(1682138550.583:514): avc:  denied  { read } for  pid=24767 comm="false" path="pipe:[97790]" dev="pipefs" ino=97790 scontext=system_u:system_r:kernel_generic_helper_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=fifo_file permissive=0
Apr 22 06:42:30 Papaputer pk-offline-update[879]: status finished
Apr 22 06:42:30 Papaputer pk-offline-update[879]: writing failed results
Apr 22 06:42:30 Papaputer pk-offline-update[879]: failed to upgrade system: PackageKit daemon disappeared
Apr 22 06:42:30 Papaputer systemd[1]: packagekit.service: Main process exited, code=dumped, status=11/SEGV
Apr 22 06:42:30 Papaputer systemd[1]: packagekit.service: Failed with result 'core-dump'.

Comment 25 Milan Crha 2023-04-26 12:45:58 UTC
*** Bug 2189901 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.